<?php
/*

   Copyright 2010 e-WebFace Networks

   Plugin Name: e-WebFace
Plugin URI: http://www.e-webface.com
Version: 1.0
Autor: e-WebFace Networks
Autor URL: http://e-WebFace.com/
Descrição: A e-Webface é um sistema de videoconferência pela web. Este plugin integra a e-Webface com o WordPress permitindo blogueiros criarem e gerenciarem salas de reuniões para interagir com seus leitores para mais informações sobre como configurar o servidor de e-Webface entre em http://www.e-webface.com

Versão 1.0 escrito por Renato Souza Gengo
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport('joomla.application.component.controller');
 
/**
 * ewebface Component Controller
 */
class MeetingsControllerSettings extends MeetingsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();
	}

    /**
	 * display
	 * @return void
	 */
	function display()
	{
		JRequest::setVar( 'view', 'settings' );
		JRequest::setVar( 'layout', 'form'  );
		
		parent::display();
	}
	
	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('settings');
	 
		if ($model->store($post)) {
			$msg = JText::_( 'Settings Saved!' );
		} else {
			$msg = JText::_( 'Error Saving Settings - ' );
			$msg .= $model->getError();

		}
	 
		// Check the table in so it can be edited.... we are done with it anyway
		$link = 'index.php?option=com_ewebfaceconferencing&act=settings';
		$this->setRedirect($link, $msg);
	}
}